BrightLink 480i Interactive XGA 3LCD Projector with Mount

Selected FAQ

Q:
When I select Dual User in the ActivInspire software Tools settings, I get the message "Dual User requires an update available for Promethean Activboards only". What should I do?
A:
To use dual pen functionality, you need to update the projector's firmware.

The firmware update can be performed by an Epson authorized service provider. To find a local service provider, see the Epson Service Center locator on the Contact Support page for your projector.

Note: Epson projectors purchased prior to April 22, 2013 require a firmware update to use dual pen functionality.

Epson does not cover any costs incurred to update the projector's firmware.

Published: November 18, 2013

Thank you for your feedback.
Was this FAQ helpful?
Yes No  
Please tell us why this FAQ was not helpful.
Note: We are unable to reply to comments submitted here.


Viewed FAQs

Return to Main FAQs Page